找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

楼主: dlsgj

[求助] [求助]:那位有批量交点断线的lisp程序啊?

[复制链接]
发表于 2009-1-5 14:59:05 | 显示全部楼层
爱心币不够想要 呵呵
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-1-5 20:36:05 | 显示全部楼层
给你个建议,装个能用小东工具的cad,进去打断后在回到你的cad继续!哈哈
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-1-7 09:45:44 | 显示全部楼层
这个不错你试试

  1. ;;;=======================[ BreakObjects.lsp ]==============================
  2. ;;; Author: Copyright? 2006,2007 Charles Alan Butler
  3. ;;; Contact @  [url]www.TheSwamp.org[/url]
  4. ;;; Version:  1.3 April 9,2007
  5. ;;; Purpose: Break All selected objects
  6. ;;;    permitted objects are lines, lwplines, plines, splines,
  7. ;;;    ellipse, circles & arcs
  8. ;;;                           
  9. ;;;  Function  c:BreakAll -      Break all objects selected
  10. ;;;  Function  c:BreakwObjects - Break many objects with a single object
  11. ;;;  Function  c:BreakObject -   Break a single object with many objects
  12. ;;;  Function  c:BreakWith -     Break selected objects with other selected objects
  13. ;;;  Function  c:BreakTouching - Break objects touching the single Break object
  14. ;;;  Function  c:BreakSelected - Break selected objects with any  objects that touch it
  15. ;;;                    
  16. ;;; Sub_Routines:      
  17. ;;;    break_with      
  18. ;;;    ssget->vla-list
  19. ;;;    list->3pair     
  20. ;;;    onlockedlayer   
  21. ;;;    get_interpts Return a list of intersect points
  22. ;;;    break_obj  Break entity at break points in list
  23. ;;; Requirements: objects must have the same z-value
  24. ;;; Restrictions: Does not Break objects on locked layers
  25. ;;; Returns:  none
  26. ;;;=====================================================================
  27. ;;;   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED     ;
  28. ;;;   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR  ;
  29. ;;;   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.            ;
  30. ;;;                                                                    ;
  31. ;;;  You are hereby granted permission to use, copy and modify this    ;
  32. ;;;  software without charge, provided you do so exclusively for       ;
  33. ;;;  your own use or for use by others in your organization in the     ;
  34. ;;;  performance of their normal duties, and provided further that     ;
  35. ;;;  the above copyright notice appears in all copies and both that    ;
  36. ;;;  copyright notice and the limited warranty and restricted rights   ;
  37. ;;;  notice below appear in all supporting documentation.              ;
  38. ;;;=====================================================================


  39. ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  40. ;;               M A I N   S U B R O U T I N E                  
  41. ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  42. (defun break_with (ss2brk ss2brkwith self / cmd intpts lst masterlist ss ssobjs
  43.                    onlockedlayer ssget->vla-list list->3pair
  44.                    get_interpts break_obj
  45.                   )
  46.   ;; ss2brk     selection set to break
  47.   ;; ss2brkwith selection set to use as break points
  48.   ;; self       when true will allow an object to break itself
  49.   ;;            note that plined will break at each vertex
  50.   (vl-load-com)


  51. ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  52. ;;                S U B   F U N C T I O N S                     
  53. ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

  54.   (defun onlockedlayer (ename / entlst)
  55.     (setq entlst (tblsearch "LAYER" (cdr (assoc 8 (entget ename)))))
  56.     (= 4 (logand 4 (cdr (assoc 70 entlst))))
  57.   )
  58.   
  59.   (defun ssget->vla-list (ss / i ename lst)
  60.     (setq i -1)
  61.     (while (setq ename (ssname ss (setq i (1+ i))))
  62.       (setq lst (cons (vlax-ename->vla-object ename) lst))
  63.     )
  64.     lst
  65.   )

  66.   (defun list->3pair (old / new)
  67.     (while (setq new (cons (list (car old) (cadr old) (caddr old)) new)
  68.                  old (cdddr old))
  69.     )
  70.     (reverse new)
  71.   )
  72.   
  73. ;;==============================================================
  74. ;;  return a list of intersect points
  75. ;;==============================================================
  76. (defun get_interpts (obj1 obj2 / iplist)
  77.   (if (not (vl-catch-all-error-p
  78.              (setq iplist (vl-catch-all-apply
  79.                             'vlax-safearray->list
  80.                             (list
  81.                               (vlax-variant-value
  82.                                 (vla-intersectwith obj1 obj2 acextendnone)
  83.                               ))))))
  84.     iplist
  85.   )
  86. )


  87. ;;==============================================================
  88. ;;  Break entity at break points in list
  89. ;;==============================================================
  90. (defun break_obj (ent brkptlst / brkobjlst en enttype maxparam closedobj
  91.                       minparam obj obj2break p1param p2 p2param
  92.                  )
  93.   (setq obj2break ent
  94.         brkobjlst (list ent)
  95.         enttype (cdr (assoc 0 (entget ent)))
  96.   )
  97.   (foreach brkpt brkptlst               ;  get last entity created via break
  98.                                        ; in case multiple breaks
  99.     (if brkobjlst
  100.       (progn                               ;  if pt not on object x, switch
  101.                                        ; objects
  102.         (if (not (numberp (vl-catch-all-apply 'vlax-curve-getdistatpoint
  103.                                               (list obj2break brkpt)
  104.                           )
  105.                  )
  106.             )
  107.           (foreach obj brkobjlst       ; find the one that pt is on
  108.             (if (numberp (vl-catch-all-apply 'vlax-curve-getdistatpoint
  109.                                              (list obj brkpt)
  110.                          )
  111.                 )
  112.               (setq obj2break obj)     ; switch objects
  113.             )
  114.           )
  115.         )
  116.       )
  117.     )                                       ;  handle any objects that can not
  118.                                        ; be used with the break command
  119.                                        ;  using one point, gap of 0.000001
  120.                                        ; is used
  121.     (cond
  122.       ((and
  123.          (= "SPLINE" enttype)               ; only closed splines
  124.          (vlax-curve-isclosed obj2break)
  125.        )
  126.         (setq p1param (vlax-curve-getparamatpoint obj2break brkpt)
  127.               p2 (vlax-curve-getpointatparam obj2break (+ p1param 0.000001))
  128.         )
  129.         (command "._break" obj2break "_non" (trans brkpt 0 1) "_non"
  130.                  (trans p2 0 1)
  131.         )
  132.       )
  133.       ((= "CIRCLE" enttype)               ; break the circle
  134.         (setq p1param (vlax-curve-getparamatpoint obj2break brkpt)
  135.               p2 (vlax-curve-getpointatparam obj2break (+ p1param 0.000001))
  136.         )
  137.         (command "._break" obj2break "_non" (trans brkpt 0 1) "_non"
  138.                  (trans p2 0 1)
  139.         )
  140.         (setq enttype "ARC")
  141.       )
  142.       ((and
  143.          (= "ELLIPSE" enttype)               ; only closed ellipse
  144.          (vlax-curve-isclosed obj2break)
  145.        )                               ;  break the ellipse, code borrowed
  146.                                        ; from joe burke  6/6/2005
  147.         (setq p1param (vlax-curve-getparamatpoint obj2break brkpt)
  148.               p2param (+ p1param 0.000001)
  149.               minparam (min
  150.                          p1param
  151.                          p2param
  152.                        )
  153.               maxparam (max
  154.                          p1param
  155.                          p2param
  156.                        )
  157.               obj (vlax-ename->vla-object obj2break)
  158.         )
  159.         (vlax-put obj 'startparameter maxparam)
  160.         (vlax-put obj 'endparameter (+ minparam (* pi 2)))
  161.       )                                       ; ==================================
  162.       (t                               ;   objects that can be broken
  163.         (setq closedobj (vlax-curve-isclosed obj2break))
  164.         (command "._break" obj2break "_non" (trans brkpt 0 1) "_non"
  165.                  (trans brkpt 0 1)
  166.         )
  167.         (if (not closedobj)               ; new object was created
  168.           (setq brkobjlst (cons (entlast) brkobjlst))
  169.         )
  170.       )
  171.     )
  172.   )
  173. )

  174.   
  175.   ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  176.   ;;                   S T A R T   H E R E                        
  177.   ;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  178.     (if (and ss2brk ss2brkwith)
  179.     (progn
  180.       ;;  CREATE a list of entity & it's break points
  181.       (foreach obj (ssget->vla-list ss2brk) ; check each object in ss2brk
  182.         (if (not (onlockedlayer (vlax-vla-object->ename obj)))
  183.           (progn
  184.             (setq lst nil)
  185.             ;; check for break pts with other objects in ss2brkwith
  186.             (foreach intobj (ssget->vla-list ss2brkwith)
  187.               (if (and (or self (not (equal obj intobj)))
  188.                        (setq intpts (get_interpts obj intobj))
  189.                   )
  190.                 (setq lst (append (list->3pair intpts) lst)) ; entity w/ break points
  191.               )
  192.             )
  193.             (if lst
  194.               (setq masterlist (cons (cons (vlax-vla-object->ename obj) lst) masterlist))
  195.             )
  196.           )
  197.         )
  198.       )
  199.       ;;  masterlist = ((ent brkpts)(ent brkpts)...)
  200.       (if masterlist
  201.         (foreach obj2brk masterlist
  202.           (break_obj (car obj2brk) (cdr obj2brk))
  203.         )
  204.       )
  205.       )
  206.   )
  207. ;;==============================================================

  208. )
  209. (princ)



  210. ;;==========================================
  211. ;;        Break all objects selected        
  212. ;;==========================================
  213. (defun c:breakall (/ cmd ss)

  214.   (command ".undo" "begin")
  215.   (setq cmd (getvar "CMDECHO"))
  216.   (setvar "CMDECHO" 0)

  217.   ;;  get objects to break
  218.   (prompt "\nSelect All objects to break & press enter: ")
  219.   (if (setq ss (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  220.      (Break_with ss ss nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  221.   )

  222.   (setvar "CMDECHO" cmd)
  223.   (command ".undo" "end")
  224.   (princ)
  225. )


  226. ;;==========================================
  227. ;;  Break a single object with many objects
  228. ;;==========================================
  229. (defun c:BreakObject (/ cmd ss1 ss2)

  230.   (command ".undo" "begin")
  231.   (setq cmd (getvar "CMDECHO"))
  232.   (setvar "CMDECHO" 0)

  233.   ;;  get objects to break
  234.   (prompt "\nSelect single object to break: ")
  235.   (if (and (setq ss1 (ssget "+.:E:S" '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  236.            (not (redraw (ssname ss1 0) 3))
  237.            (not (prompt "\n***  Select object(s) to break with & press enter:  ***"))
  238.            (setq ss2 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  239.            (not (redraw (ssname ss1 0) 4)))
  240.      (Break_with ss1 ss2 nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  241.   )

  242.   (setvar "CMDECHO" cmd)
  243.   (command ".undo" "end")
  244.   (princ)
  245. )

  246. ;;==========================================
  247. ;;  Break many objects with a single object
  248. ;;==========================================
  249. (defun c:breakwobjects (/ cmd ss1 ss2)
  250.   (defun ssredraw (ss mode / i num)
  251.     (setq i -1)
  252.     (while (setq ename (ssname ss (setq i (1+ i))))
  253.       (redraw (ssname ss i) mode)
  254.     )
  255.   )
  256.   (command ".undo" "begin")
  257.   (setq cmd (getvar "CMDECHO"))
  258.   (setvar "CMDECHO" 0)

  259.   ;;  get objects to break
  260.   (prompt "\nSelect object(s) to break & press enter: ")
  261.   (if (and (setq ss1 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  262.            (not (ssredraw ss1 3))
  263.            (not (prompt "\n***  Select single object to break with:  ***"))
  264.            (setq ss2 (ssget "+.:E:S" '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  265.            (not (ssredraw ss1 4))
  266.       )
  267.     (break_with ss1 ss2 nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  268.   )

  269.   (setvar "CMDECHO" cmd)
  270.   (command ".undo" "end")
  271.   (princ)
  272. )

  273. ;;==========================================
  274. ;;  Break many objects with many object     
  275. ;;==========================================
  276. (defun c:BreakWith (/ cmd ss1 ss2)
  277.   (defun ssredraw (ss mode / i num)
  278.     (setq i -1)
  279.     (while (setq ename (ssname ss (setq i (1+ i))))
  280.       (redraw (ssname ss i) mode)
  281.     )
  282.   )
  283.   (command ".undo" "begin")
  284.   (setq cmd (getvar "CMDECHO"))
  285.   (setvar "CMDECHO" 0)

  286.   ;;  get objects to break
  287.   (prompt "\nSelect object(s) to break & press enter: ")
  288.   (if (and (setq ss1 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  289.            (not (ssredraw ss1 3))
  290.            (not (prompt "\n***  Select object(s) to break with & press enter:  ***"))
  291.            (setq ss2 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  292.            (not (ssredraw ss1 4))
  293.       )
  294.     (break_with ss1 ss2 nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  295.   )

  296.   (setvar "CMDECHO" cmd)
  297.   (command ".undo" "end")
  298.   (princ)
  299. )



  300. ;;=============================================
  301. ;;  Break many objects with a selected objects
  302. ;;  Selected Objects create ss to be broken   
  303. ;;=============================================

  304. (defun c:BreakTouching (/ cmd ss1 ss2)
  305.   
  306.   ;;  get all objects touching entities in the sscross
  307.   ;;  limited obj types to "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"
  308.   (defun gettouching (sscros / ss lst lstb lstc objl)
  309.     (and
  310.       (setq lstb (vl-remove-if 'listp (mapcar 'cadr (ssnamex sscros)))
  311.             objl (mapcar 'vlax-ename->vla-object lstb)
  312.       )
  313.       (setq
  314.         ss (ssget "_A" (list (cons 0 "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE")
  315.                              (cons 410 (getvar "ctab"))))
  316.       )
  317.       (setq lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
  318.       (setq lst (mapcar 'vlax-ename->vla-object lst))
  319.       (mapcar
  320.         '(lambda (x)
  321.            (mapcar
  322.              '(lambda (y)
  323.                 (if (not
  324.                       (vl-catch-all-error-p
  325.                         (vl-catch-all-apply
  326.                           '(lambda ()
  327.                              (vlax-safearray->list
  328.                                (vlax-variant-value
  329.                                  (vla-intersectwith y x acextendnone)
  330.                                ))))))
  331.                   (setq lstc (cons (vlax-vla-object->ename x) lstc))
  332.                 )
  333.               ) objl)
  334.          ) lst)
  335.     )
  336.     lstc
  337.   )

  338.   (command ".undo" "begin")
  339.   (setq cmd (getvar "CMDECHO"))
  340.   (setvar "CMDECHO" 0)
  341.   (setq ss1 (ssadd))
  342.   ;;  get objects to break
  343.   (if (and (not (prompt "\nSelect object(s) to break with & press enter: "))
  344.            (setq ss2 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  345.            (mapcar '(lambda (x) (ssadd x ss1)) (gettouching ss2))
  346.       )
  347.     (break_with ss1 ss2 nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  348.   )

  349.   (setvar "CMDECHO" cmd)
  350.   (command ".undo" "end")
  351.   (princ)
  352. )



  353. ;;==========================================================
  354. ;;  Break selected objects with any objects that touch it  
  355. ;;==========================================================


  356. (defun c:BreakSelected (/ cmd ss1 ss2)
  357.   
  358.   ;;  get all objects touching entities in the sscross
  359.   ;;  limited obj types to "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"
  360.   (defun gettouching (sscros / ss lst lstb lstc objl)
  361.     (and
  362.       (setq lstb (vl-remove-if 'listp (mapcar 'cadr (ssnamex sscros)))
  363.             objl (mapcar 'vlax-ename->vla-object lstb)
  364.       )
  365.       (setq
  366.         ss (ssget "_A" (list (cons 0 "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE")
  367.                              (cons 410 (getvar "ctab"))))
  368.       )
  369.       (setq lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
  370.       (setq lst (mapcar 'vlax-ename->vla-object lst))
  371.       (mapcar
  372.         '(lambda (x)
  373.            (mapcar
  374.              '(lambda (y)
  375.                 (if (not
  376.                       (vl-catch-all-error-p
  377.                         (vl-catch-all-apply
  378.                           '(lambda ()
  379.                              (vlax-safearray->list
  380.                                (vlax-variant-value
  381.                                  (vla-intersectwith y x acextendnone)
  382.                                ))))))
  383.                   (setq lstc (cons (vlax-vla-object->ename x) lstc))
  384.                 )
  385.               ) objl)
  386.          ) lst)
  387.     )
  388.     lstc
  389.   )

  390.   (command ".undo" "begin")
  391.   (setq cmd (getvar "CMDECHO"))
  392.   (setvar "CMDECHO" 0)
  393.   (setq ss1 (ssadd))
  394.   ;;  get objects to break
  395.   (if (and (not (prompt "\nSelect object(s) to break with & press enter: "))
  396.            (setq ss2 (ssget '((0 . "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"))))
  397.            (mapcar '(lambda (x) (ssadd x ss1)) (gettouching ss2))
  398.       )
  399.     (break_with ss2 ss1 nil) ; ss2break ss2breakwith (flag nil = not to break with self)
  400.   )

  401.   (setvar "CMDECHO" cmd)
  402.   (command ".undo" "end")
  403.   (princ)
  404. )
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 2450个

财富等级: 金玉满堂

发表于 2009-1-16 23:51:39 | 显示全部楼层
试试
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-1-22 16:17:58 | 显示全部楼层
18楼这个不错!老外确有一套。谢谢jdhszh !
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 8860个

财富等级: 富甲天下

发表于 2009-1-23 12:33:46 | 显示全部楼层
不错好程序,收藏学习.
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-2-13 15:29:30 | 显示全部楼层
试试我的这个。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-7-18 16:14:57 | 显示全部楼层
我的钱币不够啊
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2009-7-26 06:32:09 | 显示全部楼层
谢谢jdhszh 兄,找来找去终于给我找到了。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2010-3-21 12:29:10 | 显示全部楼层
18楼这个不错!老外确有一套。谢谢jdhszh !
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-9-25 16:39 , Processed in 0.357756 second(s), 43 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表